View Issue Details

IDProjectCategoryView StatusLast Update
0000871NoesisGUIC++ SDKpublic2020-09-14 01:55
ReporterZanAlexAssigned Tojsantos 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000871: Crash when using Clang
DescriptionThe application is properly compiled and linked using Clang, but at start Noesis throws the following error:

NoesisSDK/Src/Packages/Core/Kernel/Src/ReflectionRegistryImpl.cpp (l. 163): Reflection TypeId 'Visibility' for type 'is::Gui::Visibility]' already used to register type 'Noesis::Gui::Visibility]'

The error is thrown when calling Noesis::Gui::GUI::InitOpenGL.
TagsNo tags attached.
PlatformAny

Activities

jsantos

jsantos

2016-04-21 13:08

manager   ~0003827

Which version of clang and in which platform?

We use clang in XCode, but gcc in Linux for now.
jsantos

jsantos

2020-09-14 01:47

manager   ~0006627

This should be fixed in 3.0.X, please reopen again if needed

Issue History

Date Modified Username Field Change
2016-04-20 16:03 ZanAlex New Issue
2016-04-21 13:08 jsantos Assigned To => jsantos
2016-04-21 13:08 jsantos Status new => assigned
2016-04-21 13:08 jsantos Note Added: 0003827
2016-04-21 13:08 jsantos Status assigned => feedback
2018-11-01 02:14 jsantos View Status public => private
2020-09-14 01:47 jsantos Status feedback => resolved
2020-09-14 01:47 jsantos Resolution open => fixed
2020-09-14 01:47 jsantos Note Added: 0006627
2020-09-14 01:55 jsantos View Status private => public
2020-09-14 01:55 jsantos Platform => Any